using System;

namespace PkmnLibSharp.Battling.History
{
    public class MoveUseHistory : HistoryElement
    {
        internal MoveUseHistory(IntPtr ptr) : base(ptr)
        {
        }

        public ExecutingMove Move
        {
            get
            {
                if (_move != null) return _move;
                var ptr = Creaturelib.Generated.AttackUseHistory.GetAttack(Ptr);
                _move = new ExecutingMove(ptr);
                return _move;
            }
        }

        private ExecutingMove? _move;
    }
}